Kerberos ASN.1 decoder library denial of service

kerberos-asn1-library-dos (17160) The risk level is classified as MediumMedium Risk

Description:

Kerberos is vulnerable to a denial of service attack, caused by a vulnerability in the ASN.1 decoder library. A remote attacker could cause an infinite loop in the ASN.1 decoder library.


Consequences:

Denial of Service

Remedy:

Upgrade to the latest version of MIT Kerberos 5 (krb5-1.3.5 or later), when it becomes available, from the MIT Kerberos Web page. See References.

For Red Hat Linux:
Upgrade to the latest MIT Kerberos 5 package, as listed below. Refer to RHSA-2004:448-13 and RHSA-2004:350-12 for more information. See References.

Red Hat Enterprise Linux AS (v. 2.1), ES (v. 2.1), WS (v. 2.1), and Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor: 1.2.2-31 or later

Red Hat Enterprise Linux AS (v. 3), ES (v. 3), WS (v. 3), Desktop: 1.2.7-28.x86_64 or later

For Debian GNU/Linux 3.0 (alias woody):
Upgrade to the latest MIT Kerberos 5 package (1.2.4-5woody6 or later), as listed in DSA-543-1. See References.

For Mandrake Linux:
Upgrade to the latest MIT Kerberos 5 package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2004:088 : krb5 for more information. See References.

Mandrake Linux 9.1: 1.2.7-1.4.91mdk or later
Mandrake Linux 9.2: 1.3-3.3.92mdk or later
Mandrake Linux Multi Network Firewall 8.2: 1.2.2-17.8.M82mdk or later
Mandrake Linux Corporate Server 2.1: 1.2.5-1.7.C21mdk or later
Mandrake Linux 10.0: 1.3-6.3.100mdk or later

For Sun Solaris:
Apply the appropriate patch for your system, as listed below. Refer to Sun Alert ID: 57631 for more information. See References.

SPARC Platform:
Solaris 9 with patch 112908-16 or later

x86 Platform:
Solaris 9 with patch 115168-05 or later

For Gentoo Linux:
Upgrade to the latest version of MIT Kerberos 5 (1.3.4 or later), as listed in GLSA 200409-09. See References.

For Conectiva Linux:
Upgrade to the latest krb5 package, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2004:860 for more information. See References.

Conectiva Linux 9: 1.2.7-28721U90_3cl or later
Conectiva Linux 10.0: 1.3.3-62470U10_2cl or later

For OpenPKG:
Upgrade to the latest kerberos package, as listed in OpenPKG Security Advisory OpenPKG-SA-2004.039. See References.

OpenPKG CURRENT:1.3.4-20040730 or later
OpenPKG 2.1:1.3.4-2.1.0 or later
OpenPKG 2.0 :1.3.1-2.0.1 or later

For Turbolinux:
Upgrade to the latest krb5 package, as listed below. Refer to Turbolinux Security Advisory TLSA-2004-22 for more information. See References.

Turbolinux Appliance Server 1.0 Hosting Edition,Turbolinux Appliance Server 1.0 Workgroup Edition, Turbolinux 10 Desktop, and Turbolinux 8 Server: 1.2.5-15 or later

For Mac OS:
Apply Security Update 2004-12-02, as listed in AppleCare Knowledge Base Document 61798. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Apple Mac OS X 10.2.8
  • Apple Mac OS X 10.3.6
  • Apple Mac OS X Server 10.2.8
  • Apple Mac OS X Server 10.3.6
  • Conectiva Linux 10
  • Conectiva Linux 9.0
  • Debian Debian Linux 3.0
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 9.1 PPC
  • MandrakeSoft Mandrake Linux 9.1
  • MandrakeSoft Mandrake Linux 9.2 AMD64
  • MandrakeSoft Mandrake Linux 9.2
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Multi Network Firewall 8.2
  • MIT Kerberos 5-1.2.2
  • MIT Kerberos 5-1.2.3
  • MIT Kerberos 5-1.2.4
  • MIT Kerberos 5-1.2.5
  • MIT Kerberos 5-1.2.6
  • MIT Kerberos 5-1.2.7
  • MIT Kerberos 5-1.2.8
  • MIT Kerberos 5-1.3
  • MIT Kerberos 5-1.3 Alpha1
  • MIT Kerberos 5-1.3.1
  • MIT Kerberos 5-1.3.2
  • MIT Kerberos 5-1.3.3
  • MIT Kerberos 5-1.3.4
  • OpenPKG OpenPKG 2.0
  • OpenPKG OpenPKG 2.1
  • OpenPKG OpenPKG CURRENT
  • RedHat Enterprise Linux 2.1 AW
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • Sun Solaris 9 SPARC
  • Sun Solaris 9 x86
  • Turbolinux Turbolinux 10 Desktop
  • Turbolinux Turbolinux 10 F...
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux Appliance Server 1.0
  • Turbolinux Turbolinux Appliance Server 1.0 Hosting Ed
  • Turbolinux Turbolinux Appliance Server 1.0 Workgroup Ed

Reported:

Aug 31, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page